Subject: Re: Circumcision scar

From: [email-masked] (Lynne D Jeffers)
Date: 15 Feb 1995 20:40:19 GMT

Michelle <[email-masked]> wrote:
>Question for you, Mr Hampton.  Do you similarly regard vaccinating/
>innoculating a small child - a prophylactic procedure - as assault?
>Why the poor thing might not understand the reason, and I certainly
>remember some rather painful jags...
>
>Can't you accept that many people would similarly argue that having
>their sons circumcized is more beneficial than not?
>
>Despite your pretty one-sided shock-horror propaganda, I think most
>people would accept that there does seem to be some evidence that
>circumcision is useful in preventing penile (and possibly cervical)
>cancer and reducing urinary tract infections.  

I doubt that. There is no conclusive evidence supporting the preventions
you mention. There is no prophylactic advantage to indiscriminate foreskin 
removal.

>What about the
>unfortunate cases of men developing penile cancer who have been
>blissfully ignorant about hygiene behind their foreskins and gone to
>the doctor far too late?  

There is no cause and effect relationship between not cleaning an intact
penis and penile cancer.  How many women need to have parts of their vulvas
surgically removed because they don't clean themselves???

>I have to say that I wasn't aware of any 'circumcision controversy'
>before I stared reading these hysterical postings, and to be honest
>I can't help wondering if you're not suffering from some sort of
>neurosis that you're fixating upon being circumcized.  If you want to
>feel a victim, then that's fine, but please try and accept that there's
>millions of men out there quite happy with their condition. Just try to
>remember that the biggest sex organ is between the ears, as they say,
>and if you're going to feel debilitated, then that might be the reason
>rather that anything being wrong with your penis.
>
>Just something to think over, though I doubt if it'll make much
>difference... 

People in America focus on so many different aspects of their physical
bodies...women slap cosmetics on their faces in a vain attempt to make
themselves beautiful...balding men go to extremes to remedy their baldness...
women of all ages focus on being thin (some to the extent of becoming
anorexic or bulimic)...women have their breasts enlarged...men and women
get facelifts...men look into ways of enlarging their penises...ad infinitum.
Aside from the anorexics and bulimics, are these people neurotic? 

Millions of women out there are very happy with the size of their breasts; 
does this mean that those who choose breast enlargement (or reduction) are
overreacting? That's certainly not the message our society gives. If
breast surgery gives these women a better sexual self-image, then good
for them. Why can't the same be said for those men who aren't satisfied
with the current state of their penises?

Wayne is focusing on unnecessary surgery that was performed on his penis
when he was an infant. Why is that wrong? Just because *you* and others
don't think it's a big deal does not trivialize Wayne's view. If you don't
like what Wayne posts, then don't read it. I personally appreciate Wayne's
presence on USENET News. Trying to get parents-to-be to consider not allowing
their sons to be circumcised is a good thing.

I wonder how you would feel if some physician sliced off your labia as an 
infant? Would you be upset, or you would you just deal with what was done
to you?

Circumcision, male or female, is genital mutilation, plain and simple. 
People may try to justify it as a tribal/cultural/religious rite, but it
*is* genital mutilation.

-Lynne
===============================================================================
Lynne D Jeffers				       [email-masked]
Academic Computing & Network Services          Northwestern University
disclaimer: these opinions are mine, and have nothing to do with Northwestern